org.apache.poi.hssf.usermodel

## Class HSSFDataBarFormatting

- java.lang.Object
- - org.apache.poi.hssf.usermodel.HSSFDataBarFormatting

- All Implemented Interfaces:
    DataBarFormatting

      public final class HSSFDataBarFormatting
      extends java.lang.Object
      implements DataBarFormatting

  High level representation for DataBar / Data-Bar Formatting component of Conditional Formatting settings

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HSSFDataBarFormatting(CFRule12Record cfRule12Record, HSSFSheet sheet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HSSFConditionalFormattingThreshold` | `createThreshold()`
    `HSSFExtendedColor` | `getColor()`
    `HSSFConditionalFormattingThreshold` | `getMaxThreshold()` The threshold that defines "everything from here up is maximum"
    `HSSFConditionalFormattingThreshold` | `getMinThreshold()` The threshold that defines "everything from here down is minimum"
    `int` | `getWidthMax()` How much of the cell width, in %, should be given to the max value?
    `int` | `getWidthMin()` How much of the cell width, in %, should be given to the min value?
    `boolean` | `isIconOnly()` Should Icon + Value be displayed, or only the Icon?
    `boolean` | `isLeftToRight()` Is the bar drawn from Left-to-Right, or from Right-to-Left
    `void` | `setColor(Color color)`
    `void` | `setIconOnly(boolean only)` Control if only the Icon is shown, or Icon + Value
    `void` | `setLeftToRight(boolean ltr)` Control if the bar is drawn from Left-to-Right, or from Right-to-Left
    `void` | `setWidthMax(int width)`
    `void` | `setWidthMin(int width)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HSSFDataBarFormatting

          protected HSSFDataBarFormatting(CFRule12Record cfRule12Record,
                                          HSSFSheet sheet)

  - ### Method Detail

    - #### isLeftToRight

          public boolean isLeftToRight()

      Description copied from interface: `DataBarFormatting`
      Is the bar drawn from Left-to-Right, or from Right-to-Left
      Specified by:
        `isLeftToRight` in interface `DataBarFormatting`

    - #### setLeftToRight

          public void setLeftToRight(boolean ltr)

      Description copied from interface: `DataBarFormatting`
      Control if the bar is drawn from Left-to-Right, or from Right-to-Left
      Specified by:
        `setLeftToRight` in interface `DataBarFormatting`

    - #### getWidthMin

          public int getWidthMin()

      Description copied from interface: `DataBarFormatting`
      How much of the cell width, in %, should be given to the min value?
      Specified by:
        `getWidthMin` in interface `DataBarFormatting`

    - #### setWidthMin

          public void setWidthMin(int width)

      Specified by:
        `setWidthMin` in interface `DataBarFormatting`

    - #### getWidthMax

          public int getWidthMax()

      Description copied from interface: `DataBarFormatting`
      How much of the cell width, in %, should be given to the max value?
      Specified by:
        `getWidthMax` in interface `DataBarFormatting`

    - #### setWidthMax

          public void setWidthMax(int width)

      Specified by:
        `setWidthMax` in interface `DataBarFormatting`

    - #### getColor

          public HSSFExtendedColor getColor()

      Specified by:
        `getColor` in interface `DataBarFormatting`

    - #### setColor

          public void setColor(Color color)

      Specified by:
        `setColor` in interface `DataBarFormatting`

    - #### getMinThreshold

          public HSSFConditionalFormattingThreshold getMinThreshold()

      Description copied from interface: `DataBarFormatting`
      The threshold that defines "everything from here down is minimum"
      Specified by:
        `getMinThreshold` in interface `DataBarFormatting`

    - #### getMaxThreshold

          public HSSFConditionalFormattingThreshold getMaxThreshold()

      Description copied from interface: `DataBarFormatting`
      The threshold that defines "everything from here up is maximum"
      Specified by:
        `getMaxThreshold` in interface `DataBarFormatting`

    - #### isIconOnly

          public boolean isIconOnly()

      Description copied from interface: `DataBarFormatting`
      Should Icon + Value be displayed, or only the Icon?
      Specified by:
        `isIconOnly` in interface `DataBarFormatting`

    - #### setIconOnly

          public void setIconOnly(boolean only)

      Description copied from interface: `DataBarFormatting`
      Control if only the Icon is shown, or Icon + Value
      Specified by:
        `setIconOnly` in interface `DataBarFormatting`

    - #### createThreshold

          public HSSFConditionalFormattingThreshold createThreshold()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.